# Class CIM_ProvidesEndpoint
extends CIM_ServiceAccessBySAP

This association represents a ProtocolEndpoint that is provided by a Service to allow access to the Service.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ServiceAccessBySAP
|
+--CIM_ProvidesEndpoint

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association represents a ProtocolEndpoint that is provided by a Service to allow access to the Service.
UMLPackagePath | string | CIM::Core::Service
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ProvidesEndpoint | CIM_Service
Dependent | CIM_ProvidesEndpoint | CIM_ProtocolEndpoint

## Class Methods